Skip to content
Bpanda
English
Esc
↑↓navigate↵open⌘Jpreview

Export all elements matching the given filters as an ArchiMate XML file.

Export all elements matching the given filters as an ArchiMate XML file. Exports the architecture elements matching the given filters - the same filters pagination and publish use - and their relationships as an ArchiMate-XML file, instead of an explicit list of element IDs.

Security: Manager or Designer of the process space.

POST/v1/warehouses/{warehouseId}/archimate/exportFiltered
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

Query parameters
xmlOnlyboolean

if true, yields the plain ArchiMate document instead of the ZIP

Request body
requiredapplication/json

Criteria the exported elements have to match. sortBy/order have no effect - an export has no page order

conceptualClassModeListMode
Allowed:BlacklistWhitelist
conceptualClassesArchitectureElementType[]
createdAfterstring<date-time>
createdBeforestring<date-time>
elementIdsToIgnorestring[]
filterstring
filterByArchitectureFilter
Allowed:createdelementIdidlayermodifiedname
idsToIgnorestring[]
includeDeactivatedboolean
includeInvalidboolean
layerModeListMode
Allowed:BlacklistWhitelist
layersArchitectureElementLayer[]
manifestModeListMode
Allowed:BlacklistWhitelist
onlyOwnedboolean
orderArchitectureSortingOrder[]
publicationStatusPublicationStatus
Allowed:DraftPublished
sortByArchitectureSorting[]
Responses
200

The exported ZIP, or the plain ArchiMate-XML file when xmlOnly=true

403

Forbidden: insufficient permissions

string
404

Warehouse not found

string
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/archimate/exportFiltered' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "conceptualClassMode": "Blacklist",
  "conceptualClasses": [
    "ApplicationCollaboration"
  ],
  "createdAfter": "2019-08-24T14:15:22Z",
  "createdBefore": "2019-08-24T14:15:22Z",
  "elementIdsToIgnore": [
    "string"
  ],
  "filter": "string",
  "filterBy": "created",
  "idsToIgnore": [
    "string"
  ],
  "includeDeactivated": true,
  "includeInvalid": true,
  "layerMode": "Blacklist",
  "layers": [
    "ApplicationLayer"
  ],
  "manifestMode": "Blacklist",
  "onlyOwned": true,
  "order": [
    "ascending"
  ],
  "publicationStatus": "Draft",
  "sortBy": [
    "conceptualClass"
  ]
}'
Response
The exported ZIP, or the plain ArchiMate-XML file when xmlOnly=true